import { jsx } from "react/jsx-runtime";
import { Wallet as Wallet$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Wallet = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Wallet", ...props, children: /* @__PURE__ */ jsx(Wallet$1, { weight: variant }) });
  }
);
Wallet.displayName = "Wallet";
Object.assign(Wallet, { isGdsIcon: true });
export {
  Wallet
};
